> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Detach SIP Configuration from a Number

> Remove the SIP configuration (inbound and/or outbound) associated with a specific phone number. After detaching, the number will no longer route calls via SIP.



## OpenAPI

````yaml post /sip/detach
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /sip/detach:
    post:
      tags:
        - sip
      summary: Detach SIP Configuration from a Number
      description: >-
        Remove the SIP configuration (inbound and/or outbound) associated with a
        specific phone number. After detaching, the number will no longer route
        calls via SIP.
      operationId: SIPController_detach
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DetachPhoneNumberDto'
      responses:
        '200':
          description: SIP configuration detached successfully.
        '400':
          description: Invalid phone number format.
        '401':
          description: Unauthorized or missing API token.
      security:
        - apiKey: []
components:
  schemas:
    DetachPhoneNumberDto:
      type: object
      properties:
        phone_number:
          type: string
          example: '+14444444477'
          description: Phone number in E.164 format (must include country code)
        direction:
          type: string
          description: SIP direction to attach
          enum:
            - inbound
            - outbound
            - both
          example: both
      required:
        - phone_number
        - direction
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````